Subject: RE: Ch 3.5.3 LDP Spec v6 - ATM VP

From: Theimer Thomas <[email-masked]>
Date: Fri, 8 Oct 1999 17:59:18 +0200

I would strongly support the proposal expressed by Balaji (see below). While
session initialisation is designed to detect most misconfigurations and
incompatibilities, this particular one is not included. Proper configuration
of both LSRs is required to make things work.

Adding the V-bits to the setup parameters would allow generation of a fairly
explicit error message pointing to the exact problem during session
initialisation. Without the V-bits, the problem would be harder to find, as
one would only observe that all label requests fail, and I would guess that
one would not have the same level of detail in error messages (traps) caused
by failing label request.

My personal opinion on this is that the session negotiation is one of the
outstanding benefits of (CR-)LDP when compared to other label distribution
protocols. We should try to make best use of all its capabilities. On the
other hand, it may be too late for such a change at this point in time.

Thomas
> -----Original Message-----
> From:	Srinivasan Balaji [SMTP:[email-masked]]
> Sent:	Friday, October 08, 1999 4:29 PM
> To:	Michelle Burns
> Cc:	[email-masked]
> Subject:	Re: Ch 3.5.3 LDP Spec v6 - ATM VP
> 
> Michelle,
>     Your point seems to be very valid. With the current spec.,
> the two LSRs might have different understanding of the
> validity of the VPI value (one might think it is invalid & the
> other might think that it should be 0).
>   Only when one of  them receives a label map from the
> other, & would see the V-bit, would it know that there is
> a mismatch (& would end up releasing the LSP). Obviously
> the best thing would have been the detection of this during
> the session setup.
>    There can be two ways of looking at this. One is that such
> cases any way need careful configuration & hence happening
> of this is not very common, so may be we can live with this.
> If we want to fix this problem, then as you said we need to
> keep the V-bit during session negotiation stage, but not
> "instead" but "also" so as to keep all possibilities open (some
> ranges have VPI valid & others not, for theoretical
> possibilities).
> 
> Thanks
> Balaji.
> 
> Michelle Burns wrote:
> 
> > ATM Session Parameters:
> > "When peer LSRs are connected indirectly by means of an ATM VP,
> > the sending LSR should set the Minimum and Maximum VPI fields to
> > 0, and the receiving LSR must ignore the Minimum and Maximum VPI
> > fields."
> >
> > Setting the Minimum and Maximum VPI fields to 0 is also valid
> > for VPI/VCI significant labels. It should not imply VCI-only
> > labels.
> >
> > How does LDP ensure that both peers set the Minimum and
> > Maximum VPI fields to 0? One peer could set 0 0 (ie. it intends
> > to use VCI only) and the other could set 0 x (ie. it intends
> > to use VPI/VCI). Both peers have different interpretations of
> > the label format because the session negotiation did not
> > detect this.
> >
> > Could there be a V-bit field in the ATM Session Parameters TLV
> > which indicates the use of the VPI and VCI?
> >
> > This would ensure that both peers are using the same V-bit.
> >
> > This would also mean that the V-bit could be removed from the
> > Label TLV since it is now known from the session initialisation.
> >
> > Michelle Burns
> 
> --
>   -----------------------------------------------------------------
>   Srinivasan Balaji
>   Ficon Technology
>   Voice : (732) 283-2770 xtn.303
>   Fax   : (732) 283-2848
>   mailto:[email-masked]
>   Web   : http://www.ficon-tech.com
>   -----------------------------------------------------------------
>

---

From: Prosenjit Pal <[email-masked]>
Date: Mon, 11 Oct 1999 15:17:36 +0530

Hi,

  What happens when label range consists of multiple VPs between 2 LSRs
who are connected through non-MPLS ATM switch by VP switching?

Example : 
  LSR1 wants to use VP1 1 and 2 as label space with LSR2
  LSR2 wants to use VPI 3 and 4 as label space with LSR1

  LSR1 and LSR2 are connected via non-MPLS ATM switch S. S is
configured such that VPI 1 and 2 from LSR1 side will be switched to VPI
3
 and 4 from LSR2 side respectively.

Now, with VPI value 0 and V bit set to 10 (VPI insignificant) in label
mapping/release/withdraw msg, how will LSR1 or LSR2 distinguish between 
two VPIs configured?

With regards,
Prosenjit Pal

-- 
Prosenjit Pal
XYLAN Development Centre Pvt. Ltd.  
(An Alcatel Company)
Suryodaya Complex, 4th Floor        
7, Airport Road, Kodihalli, Bangalore 560008                    

voice : +91-80-5097607/8 Extn. 217
email : [email-masked]

---

From: Moni Mathew <[email-masked]>
Date: Mon, 11 Oct 1999 10:13:55 -0400

Prosenjit,

Section 7.2   of draft-ietf-mpls-atm-02.txt  gives you a way to address this.
:
   "If  more than one VPI is used for label switching, the allowable range of
   VCIs may be different for each VPI, and each range is communicated
   through LDP. "

  Of course it is a  "MAY" .  This is one way to address the  issue  in you
example. There may be other methods.

Moni Mathew